Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.logger
Class AdminErrorHandlerImpl

    java.lang.Object
      com.atlassian.bamboo.logger.AdminErrorHandlerImpl

All Implemented Interfaces:
  AdminErrorHandler

    public class AdminErrorHandlerImpl

extends Object
implements AdminErrorHandler

Constructor Summary
`AdminErrorHandlerImpl()`

Method Summary
`void` | `clear()` Remove all errors from the handler
`String` | `getError(String errorKey)` Obtain the specifed error from the handler.
`Map` | `getErrors()` Obtain all the errors recorded
`void` | `recordError(String errorKey, String message)` Record a error
`void` | `removeError(String errorKey)` Remove a specific error from the handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminErrorHandlerImpl

    public AdminErrorHandlerImpl()

Method Detail

### recordError

    public void recordError(String errorKey,
                            String message)

  Description copied from interface: `AdminErrorHandler`
  Record a error

  Specified by:
    `recordError` in interface `AdminErrorHandler`

### getErrors

    public Map getErrors()

  Description copied from interface: `AdminErrorHandler`
  Obtain all the errors recorded

  Specified by:
    `getErrors` in interface `AdminErrorHandler`

### clear

    public void clear()

  Description copied from interface: `AdminErrorHandler`
  Remove all errors from the handler

  Specified by:
    `clear` in interface `AdminErrorHandler`

### removeError

    public void removeError(String errorKey)

  Description copied from interface: `AdminErrorHandler`
  Remove a specific error from the handler.

  Specified by:
    `removeError` in interface `AdminErrorHandler`

### getError

    public String getError(String errorKey)

  Description copied from interface: `AdminErrorHandler`
  Obtain the specifed error from the handler.

  Specified by:
    `getError` in interface `AdminErrorHandler`
  Returns:
    The error details

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.